#define TILE_SIZE 16

class TileSprite : public Sprite {
protected:
  int tw,th;
  char **data;
  Pixmap *tiles,*masks;
  virtual void RenderSprite(Drawable);
public:
  TileSprite(SpriteAppWin *sw,int w,int h,Pixmap *t,Pixmap *m,char **d) :
    Sprite(sw,0,0,*t,*m) {
    x = 0; y = 0; tw = w; th = h;
    tiles = t; 
    masks = m;
    data = d;
    cx = sw->XSize();
    cy = sw->YSize();
    XGCValues gcv;
    gcv.function = GXcopy;
    gcv.graphics_exposures = False;
  }
  int TMapWidth() {return tw;}
  int TMapHeight() {return th;}
  int FetchTile(int x,int y);
};
